import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class PollWidget extends StatefulWidget {
  PollWidget({
    Key key,
    @required this.question,
    @required this.option1,
    @required this.option2,
    this.option3,
    this.option4,
  }) : super(key: key);
  final String question;
  final String option1;
  final String option2;
  final String option3;
  final String option4;

  @override
  _PollWidgetState createState() => _PollWidgetState();
}

class _PollWidgetState extends State<PollWidget> {
  bool isClose = false;

  @override
  Widget build(BuildContext context) {
    return isClose == false
        ? Padding(
            padding: EdgeInsets.all(
              ScreenUtil().setHeight(20),
            ),
            child: Container(
              width: ScreenUtil().screenWidth - ScreenUtil().setHeight(20),
              decoration: BoxDecoration(
                border: Border.all(color: Colors.grey),
                borderRadius: new BorderRadius.circular(5),
              ),
              child: Padding(
                padding: EdgeInsets.all(
                  ScreenUtil().setHeight(8),
                ),
                child: Column(
                  children: [
                    Row(
                      children: [
                        _buildCloseEditButton(
                          icon: Icon(
                            Icons.close,
                          ),
                          onPressed: () {
                            setState(() {
                              this.isClose = true;
                            });
                          },
                        ),
                        _buildCloseEditButton(
                          icon: Icon(
                            Icons.edit,
                          ),
                          onPressed: () {
                            Navigator.pop(context);
                          },
                        ),
                      ],
                    ),
                    Text(
                      this.widget.question,
                      style: TextStyle(fontWeight: FontWeight.bold),
                    ),
                    _buildOptionButton(text: this.widget.option1),
                    _buildOptionButton(text: this.widget.option2),
                    this.widget.option3 != ""
                        ? _buildOptionButton(text: this.widget.option3)
                        : Text(""),
                    this.widget.option4 != ""
                        ? _buildOptionButton(text: this.widget.option4)
                        : Text(""),
                  ],
                ),
              ),
            ),
          )
        : Text("");
  }

  _buildOptionButton({@required String text}) {
    return SizedBox(
      width: double.infinity,
      child: FlatButton(
        splashColor: Colors.lightBlue[100],
        shape: RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(25),
          side: BorderSide(color: Colors.blue),
        ),
        onPressed: () {
          print('print');
        },
        child: Text(
          text,
          style: TextStyle(
            color: Colors.blue,
          ),
        ),
      ),
    );
  }

  _buildCloseEditButton(
      {@required Icon icon, @required VoidCallback onPressed}) {
    return IconButton(
      onPressed: onPressed,
      icon: icon,
    );
  }
}
